diff --git a/org/fao/geonet/kernel/mef/Importer.java b/org/fao/geonet/kernel/mef/Importer.java
index 454d43f..f3ac998 100644
--- a/org/fao/geonet/kernel/mef/Importer.java
+++ b/org/fao/geonet/kernel/mef/Importer.java
@@ -163,6 +163,7 @@ class Importer {
 				// metadata schema.
 //				String schema = null;
 				String isTemplate = null;
+				String localId = null;
 				String rating = null;
 				String popularity = null;
 				String groupId = null;
@@ -187,7 +188,6 @@ class Importer {
 					categs.addContent((new Element("category")).setAttribute(
 							"name", Util.getParam(params, Params.CATEGORY)));
 					
-					groupId = Util.getParam(params, Params.GROUP);
 					privileges =  new Element("group");
 					privileges.addContent(new Element("operation").setAttribute("name", "view"));
 					privileges.addContent(new Element("operation").setAttribute("name", "download"));
@@ -218,13 +218,15 @@ class Importer {
 					changeDate = general.getChildText("changeDate");
 					source = general.getChildText("siteId");
 					sourceName = general.getChildText("siteName");
+					localId = general.getChildText("localId");
 					isTemplate = general.getChildText("isTemplate").equals(
 							"true") ? "y" : "n";
 					rating = general.getChildText("rating");
 					popularity = general.getChildText("popularity");
 				}
 
-				
+				groupId = Util.getParam(params, Params.GROUP);
+
 				if (validate)
 					dm.validate(schema, metadata);
 
@@ -258,9 +260,17 @@ class Importer {
 
 				Log.debug(Geonet.MEF, "Adding metadata with uuid=" + uuid);
 
-				id.add(index, dm.insertMetadataExt(dbms, schema, md.get(index), context
+				if (localId != null) {
+					Log.debug(Geonet.MEF, "Using given localId:" + localId);
+					int iLocalId = Integer.parseInt(localId);
+					id.add(index, dm.insertMetadataExt(dbms, schema, md.get(index), iLocalId,
+						source, createDate, changeDate, uuid,
+						context.getUserSession().getUserIdAsInt(), groupId));
+				} else {
+					id.add(index, dm.insertMetadataExt(dbms, schema, md.get(index), context
 						.getSerialFactory(), source, createDate, changeDate,
 						uuid, context.getUserSession().getUserIdAsInt(), groupId));
+				}
 
 				if(fc.size()!=0 && fc.get(index)!=null) {
 					// FIXME : UUID is set as gfc;name of the feature catalogue... 
